%define pypi_name cachetools

Name:           python-cachetools
Version:        1.1.6
Release:        %mkrel 1
Group:          Development/Python
Summary:        Extensible memoizing collections and decorators

License:        MIT
URL:            https://github.com/tkem/cachetools
Source0:        https://pypi.python.org/packages/source/c/cachetools/cachetools-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
This module provides various memoizing collections and decorators,
including a variant of the Python 3 Standard Library `@lru_cache`_
function decorator.

%package -n     python3-%{pypi_name}
Summary:        Extensible memoizing collections and decorators


%description -n python3-%{pypi_name}
This module provides various memoizing collections and decorators,
including a variant of the Python 3 Standard Library `@lru_cache`_
function decorator.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%doc README.rst 
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst 
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Wed Apr 20 2016 philippem <philippem> 1.1.6-1.mga6
+ Revision: 1003708
- update to 1.1.6

* Sat Feb 20 2016 umeabot <umeabot> 1.1.5-2.mga6
+ Revision: 972137
- Mageia 6 Mass Rebuild

* Wed Oct 28 2015 philippem <philippem> 1.1.5-1.mga6
+ Revision: 896089
- update to 1.1.5

* Sun Oct 11 2015 philippem <philippem> 1.1.3-1.mga6
+ Revision: 889662
- update to 1.1.3

* Sat Oct 10 2015 tv <tv> 0.7.1-2.mga6
+ Revision: 888746
- rebuild for python 3.5

* Sun Nov 23 2014 philippem <philippem> 0.7.1-1.mga5
+ Revision: 798554
- imported package python-cachetools

